> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wiremock.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all scenarios



## OpenAPI

````yaml /api-reference/openapi.yaml get /v1/mock-apis/{mockApiId}/scenarios
openapi: 3.1.0
info:
  title: WireMock Cloud
  description: The public API for WireMock Cloud
  contact:
    email: help@wiremock.io
  version: 1.0.0
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://wmc.wiremockapi.cloud
    description: Mock
  - url: https://api.wiremock.cloud
    description: Production
security:
  - tokenAuth: []
tags:
  - name: Users
    description: User accounts
  - name: Teams
    description: Teams
  - name: Organisations
    description: Organisations
  - name: Usage
    description: Product usage
  - name: Mock APIs
    description: Mock APIs
  - name: Mock API versioning
    description: Mock API versioning
  - name: Data sources
    description: Data sources
  - name: Database connections
    description: Database connections
  - name: Security
    description: Security
  - name: Access control
    description: Access control / authorisation
  - name: API templates
    description: API template library
  - name: Jobs
    description: Background jobs e.g. OpenAPI import
  - name: OpenAPI
    description: OpenAPI description
  - name: Settings
    description: Mock API configuration settings
  - name: Stub Mappings
    description: Operations on stub mappings
    externalDocs:
      description: User documentation
      url: https://wiremock.org/docs/stubbing/
  - name: Requests
    description: Logged requests and responses received by the mock service
    externalDocs:
      description: User documentation
      url: https://wiremock.org/docs/verifying/
  - name: Recordings
    description: Stub mapping record and snapshot functions
    externalDocs:
      description: User documentation
      url: https://wiremock.org/docs/record-playback/
  - name: State
    description: Scenarios support modelling of stateful behaviour
    externalDocs:
      description: User documentation
      url: https://wiremock.org/docs/stateful-behaviour/
  - name: Imports
    description: Importing into your mock API
  - name: Mock Hosts
    description: Mock API hosts
paths:
  /v1/mock-apis/{mockApiId}/scenarios:
    parameters:
      - $ref: '#/components/parameters/mockApiId'
    get:
      tags:
        - State
      summary: Get all scenarios
      operationId: getAllScenarios
      parameters:
        - description: >-
            When set to `summary`, returns a lightweight view of each scenario
            containing only its name and current state, omitting stub mappings,
            possible states, and IDs. Any other value (or omitting the
            parameter) returns the full scenario representation.
          in: query
          name: detail
          schema:
            type: string
            enum:
              - summary
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  scenarios:
                    type: array
                    items:
                      oneOf:
                        - $ref: '#/components/schemas/scenario'
                        - $ref: '#/components/schemas/scenarioSummary'
          description: All scenarios
components:
  parameters:
    mockApiId:
      in: path
      name: mockApiId
      description: The ID of the Mock API
      required: true
      schema:
        $ref: '#/components/schemas/IdSchema'
  schemas:
    scenario:
      type: object
      properties:
        id:
          type: string
          description: The scenario ID
          example: c8d249ec-d86d-48b1-88a8-a660e6848042
        name:
          type: string
          description: The scenario name
          example: my_scenario
        possibleStates:
          type: array
          items:
            default: Started
            description: All the states this scenario can be in
            type: string
          example:
            - Started
            - state_1
            - state_2
        state:
          type: string
          default: Started
          description: The current state of this scenario
          example: state_2
    scenarioSummary:
      type: object
      properties:
        name:
          type: string
          description: The scenario name
          example: my_scenario
        state:
          type: string
          default: Started
          description: The current state of this scenario
          example: state_2
    IdSchema:
      type: string
      minLength: 5
      maxLength: 10
      example: jjl8y
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Your [API key](https://app.wiremock.cloud/account/security) prefixed by
        'Token '

````